package com.yonge.netty.dto;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.logging.log4j.util.StringBuilders;

public class ChunkAnalysis {

	private double startTime;

	private double endTime;

	private double durationTime;

	private int frequency;

	private double splDb;

	private double power;
	
	private int amplitude;
	
	private boolean isPeak;

	public ChunkAnalysis(double startTime, double endTime, int frequency, double splDb, double power, int amplitude) {
		this.startTime = startTime;
		this.endTime = endTime;
		this.frequency = frequency;
		this.splDb = splDb;
		this.power = power;
		this.amplitude = amplitude;
		this.durationTime = endTime - startTime;
	}

	public ChunkAnalysis(int frequency, double splDb, double power) {
		this.frequency = frequency;
		this.splDb = splDb;
		this.power = power;
	}

	public double getStartTime() {
		return startTime;
	}

	public void setStartTime(double startTime) {
		this.startTime = startTime;
	}

	public double getEndTime() {
		return endTime;
	}

	public void setEndTime(double endTime) {
		this.endTime = endTime;
	}

	public double getDurationTime() {
		return durationTime;
	}

	public void setDurationTime(double durationTime) {
		this.durationTime = durationTime;
	}

	public int getFrequency() {
		return frequency;
	}

	public void setFrequency(int frequency) {
		this.frequency = frequency;
	}

	public double getSplDb() {
		return splDb;
	}

	public void setSplDb(double splDb) {
		this.splDb = splDb;
	}

	public double getPower() {
		return power;
	}

	public void setPower(double power) {
		this.power = power;
	}

	public int getAmplitude() {
		return amplitude;
	}

	public void setAmplitude(int amplitude) {
		this.amplitude = amplitude;
	}

	public boolean isPeak() {
		return isPeak;
	}

	public void setPeak(boolean isPeak) {
		this.isPeak = isPeak;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}
}
